Edge Rom Compatability

Discussion in 'EDGE' started by fatbeer, May 22, 2009.

  1. fatbeer
    OP

    fatbeer Newbie

    Newcomer
    5
    0
    Jun 18, 2007
    Any chance of getting a sticky thread for Edge rom compatability? Just for the minority of major titles that don't work or have troubles.

    Maybe one for the latest firmware as well?

    Would save a lot of searching if you just wanted to know whether game is still broken or not, or if your running the latest firmware.

    Cheers,
     
  2. Maz7006

    Maz7006 iSEXu

    Member
    3,635
    35
    Aug 2, 2008
    As of the latest firmware update, they all work, with no problems, whenever a game doesn't work, the EDGE team release a firmware update, so there is no need to compile a list, because there isn't one
     
  3. Brian117

    Brian117 GBAtemp Psycho!

    Member
    3,250
    712
    Oct 1, 2007
    United States
    Cleveland, OH
    ^ +1
     
  4. Big Green

    Big Green Advanced Member

    Newcomer
    67
    0
    Nov 30, 2008
    United States
    Not really, there is probably some obscure game that doesn't work. It's impossible to guarantee it for everything when not everything has been tested. that one guy who postd here said that Smack Down vs Raw 09 doesn't work
     
  5. moodswinger

    moodswinger GBAtemp Regular

    Member
    237
    0
    Sep 6, 2008
    Well most of the games that don't work with EDGE doesn't work also with other flashcart.
     
  6. fatbeer
    OP

    fatbeer Newbie

    Newcomer
    5
    0
    Jun 18, 2007
    So 'Star Wars: Clone Wars' is now working, and 'GTA: China Wars' has no freezing problems then?
     
  7. Brian117

    Brian117 GBAtemp Psycho!

    Member
    3,250
    712
    Oct 1, 2007
    United States
    Cleveland, OH
    Yes.
     
  8. Maz7006

    Maz7006 iSEXu

    Member
    3,635
    35
    Aug 2, 2008
    Just get the latest firmware, 1.45, and then upgrade, its a simple download, unrar, and drag and drop to your SD card, there is absouely nothing to it [​IMG]
     
  9. eSPy

    eSPy GBAtemp Regular

    Member
    145
    0
    Mar 15, 2009
    Canada
    also i believe even the retail version of gta has freezing issues. (please correct me if im wrong)
     
  10. moodswinger

    moodswinger GBAtemp Regular

    Member
    237
    0
    Sep 6, 2008
    It does, but I think many of the other flashcarts out there also have this problem.
     
  11. Crest

    Crest Newbie

    Newcomer
    7
    0
    Jun 9, 2009
    United States
    Since the last firmware update was sometime in March does that mean that all of the releases after March are unplayable? Also there wasn't a announcement on EDGE's website about them stopping updating. Is the "EDGE is dead" comment that has been floating around the forum based on anything in particular? And could someone tell me if Knights in the Nightmare is 100% playable.
     
  12. xoinx

    xoinx GBAtemp Regular

    Member
    175
    0
    Nov 9, 2008
    Senegal
    KITN is playable, 100% or not i don't know but from the 2 hours that i've tried, it works fine.

    and where did you actually get your 'announcement on EDGE's website" from?? the news page doesnt say anything about that
     
  13. Crest

    Crest Newbie

    Newcomer
    7
    0
    Jun 9, 2009
    United States
    Ah. Thanks very much. I guess I'll get an EDGE then. I meant the last firmware update was 16 / 3 / 2009. I dunno if EDGE development has halted or not.
     
  14. Brian117

    Brian117 GBAtemp Psycho!

    Member
    3,250
    712
    Oct 1, 2007
    United States
    Cleveland, OH
    Like said above, the current firmware supports all games up to date. So there's no need to give us an update unless they release a cool feature like real-time save....(still waiting [​IMG])

    If a game ever comes out in the next week or month and it doesn't work on EDGE, then the EDGE team will support us and give us a firmware update to make that game work. [​IMG]
     
  15. Maz7006

    Maz7006 iSEXu

    Member
    3,635
    35
    Aug 2, 2008
    So have I [​IMG]

    and for the above posts, for the love of everything that has to do with gaming, go get firmware 1.45 and update your EDGE firmware, all games work, no problem [​IMG] + :yayEDGE:
     
  16. indask8

    indask8 New Member Forever

    Member
    987
    119
    Apr 19, 2007
    France
    Look at the Flag...
    Better than doing a compatibility list...

    With the EDGE you just need to do a non-compatibility list:

    So far i just know:
    -GTA
    -Chrono trigger (E).
    -Kingdom Hearts.

    EDGE compatibility stay anyway one of the best i've seen (almost like cycloDS), if the kernel was upgraded more often, it would rocks.
     
  17. Raven Darkheart

    Raven Darkheart The Radioactive Flamer

    Member
    1,716
    1
    Aug 27, 2008
    United States
    Cyclo DS Paradise
    ummm kids dont you guys realize that the edge is a cyclo clone? thy only update after an "official" cyclo update comes out so..........you'll be waiting a while for another edge update
     
  18. Maz7006

    Maz7006 iSEXu

    Member
    3,635
    35
    Aug 2, 2008
    With firmware 1.45 GTA,and Chrono Trigger (E) will work, if the (E) release didn't work it would be becasue the EDGE team didn't impliment the Anit-piracy update in their firmware update, if that's the case just play the (J) release. As for Kingdom hearts, i haven't played it yet, or bothered trying, but you should be able to get it up and running one you have patched it.
     
  19. heyyouguys

    heyyouguys GBAtemp Fan

    Member
    338
    0
    Mar 1, 2006
    United States
    Agreed, GTA works on latest edge firmware.